Bug 24708 - Update Z39.50 server attribute in fr-CA installation file
Summary: Update Z39.50 server attribute in fr-CA installation file
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Keywords:
Depends on: 11297
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-21 18:04 UTC by Caroline Cyr La Rose
Modified: 2020-05-16 15:50 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
This enhancement adds a PQF attribute to the BANQ entry in the fr-CA sample z39.50 servers list, enabling the search to work correctly.
Version(s) released in:
20.05.00


Attachments
Attachment to Bug 24708 - Update Z39.50 server attribute in fr-CA installation file (2.13 KB, patch)
2020-02-21 18:16 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 24708: Update Z39.50 server attribute in fr-CA installation file (2.18 KB, patch)
2020-02-21 19:56 UTC, David Nind
Details | Diff | Splinter Review
Bug 24708: Update Z39.50 server attribute in fr-CA installation file (2.24 KB, patch)
2020-02-23 09:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-02-21 18:04:46 UTC
Now that bug 11297 has been pushed to master, I'd like to amend the installer/data/mysql/fr-CA/facultatif/sample_z3950_servers.sql file to add the attribute necessary for one of the servers to work.
Comment 1 Caroline Cyr La Rose 2020-02-21 18:16:27 UTC
Created attachment 99426 [details] [review]
Attachment to Bug 24708 - Update Z39.50 server attribute in fr-CA installation file

Bug 24708: Update Z39.50 server attribute in fr-CA installation file

Now that bug 11297 has been pushed to master, I'd like to amend the 
installer/data/mysql/fr-CA/facultatif/sample_z3950_servers.sql file to add the 
attribute necessary for one of the servers to work.

This patch adds the attribute in the fr-CA sample_z3950_servers.sql file.

To test :
1) Apply patch
2) Go to the database and delete all Z39.50 servers (delete from z3950servers;)
3) Apply the sample_z3950_servers.sql found in installer/data/mysql/fr-CA/facultatif/
4) In Koha, go to Cataloging and choose to add a record from Z39.50
5) Check BANQ and make a search, you should get results
Comment 2 David Nind 2020-02-21 19:56:04 UTC
Created attachment 99430 [details] [review]
Bug 24708: Update Z39.50 server attribute in fr-CA installation file

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2020-02-21 20:02:26 UTC
Comment on attachment 99426 [details] [review]
Attachment to Bug 24708 - Update Z39.50 server attribute in fr-CA installation file

Not sure what I did here, obsoleting so only one patch.
Comment 4 Katrin Fischer 2020-02-23 09:49:51 UTC
Created attachment 99462 [details] [review]
Bug 24708: Update Z39.50 server attribute in fr-CA installation file

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-02-24 10:05:38 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-03-30 21:41:43 UTC
Enhancement not pushed to 19.11.x branch